<?php
require_once "common.php";
?>
			<p class="lead"><?php echo $language['Attach']; ?></p>
			<div class="row">
				<div class="col-sm-6 col-sm-offset-3 text-center">
					<div class="well">
						<form action="do_title.php" class="" method="post" enctype="multipart/form-data">	
							<div class="form-group">
								<input type="file" name="userfile"/>
							</div>
							<input type="submit" class="btn btn-primary" value="<?php echo $language['btn_upload_label']; ?>"/>
						</form>
					</div>
				</div>
			</div>

			<div class="row">
				<div class="col-sm-6 col-sm-offset-3 text-center">
					<div class="well">
						<legend class="text-left"><?php echo $language['index_existing_label']; ?></legend>
						<table class="table table-striped">
							<thead>
								<tr>
									<th>#</th>
									<th><?php echo $language['index_existing_online']; ?></th>
									<th><?php echo $language['index_existing_zip']; ?></th>
									<th class="text-center"><?php echo $language['index_existing_delete']; ?></th>
								</tr>
							</thead>
							<tbody>
<?php
	// delete the form if requested
	if(isset($_POST['site']) && $_POST['site'] != '') {
		$to_delete = "./sites/".$_POST['site'];
		if (is_dir($to_delete)) {
			delete_form($to_delete);
		}
	}

	// list existing sites 
	$sites = new DirectoryIterator("sites");
	$site_count=1;
	foreach ($sites as $site) {
		if(!$site->isDot() && is_file("./sites/$site/form.zip")) {
			// determine if the form has and index.php or a form.php file
			$index = (is_file("./sites/$site/form/index.php")) ? "index.php" : "form.php";
						echo "	<tr>
									<form method='post'>
									<td>$site_count</td>
									<td><a href='./sites/$site/form/$index' target='_blank'>$site</a></td>
									<td><a href='./sites/$site/form.zip'>$site/form.zip</a></td>
									<td class='text-center'><button class='btn btn-primary btn-sm' type='submit'><i class='fa fa-close'></i></button></td>
									<input type='hidden' name='site' value='$site'/>
									</form>
								</tr>";

			$site_count++;
		}
	}
?>						
							</tbody>
						</table>
					</div>
				</div>
			</div>

<?php 
require_once "footer.php";

// recursively deletes a directory and it's contents
function delete_form($dir) {
	$it = new RecursiveDirectoryIterator($dir, RecursiveDirectoryIterator::SKIP_DOTS);
	$files = new RecursiveIteratorIterator($it,
	             RecursiveIteratorIterator::CHILD_FIRST);
	foreach($files as $file) {
	    if ($file->isDir()){
	        rmdir($file->getRealPath());
	    } else {
	        unlink($file->getRealPath());
	    }
	}
	rmdir($dir);	
}

?>