<?php
	session_start();
	$loginError = 0;

	if(file_exists("credentials.php")) {
		require_once('credentials.php');
		if(strlen(Email)>0 && strlen(Password)>0) {
			if(isset($_SESSION['user']) && $_SESSION['user'] == Email) {
				header('Location: index.php');
			}
			else {
				if(isset($_POST['login'])) {
					if($_POST['admin-email'] == Email && $_POST['admin-password'] == Password) {
						$_SESSION['user'] = Email;
						header('Location: index.php');			
					}
					else {
						$loginError = 1;
					}
				}
			}
		}
		else {
			header('Location: install.php');	
		}
	}
	else {
		header('Location: install.php');
	}

	/* Include the language file or redirect to install page */
	if(file_exists("language.php")) {
		require_once('language.php');
	}
	else {
		header('Location: install.php');
	}	
?>
<!DOCTYPE html>
<html>
<head>
<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,600,700,300' rel='stylesheet' type='text/css' />
<script type="text/javascript" src="./vendor/jquery-1.8.2.min.js"></script>
<style type="text/css">

body {
	margin: 0;
	padding: 0;
	font-family: "Open Sans",Verdana;
}

#header {
	font-size: 16px;
	font-weight: 600;
	text-align: center;
	margin: 100px 0 0 0;
	color: rgba(0, 0, 0, 0.8);
}

#error {
	background-color: #f84545;
	margin: 0 auto 40px auto;
	width: 330px;
	padding: 6px;
	text-align: center;
	font-size: 13px;
	font-family: inherit;
	color: white;
	font-weight: 600;
	-moz-box-sizing: border-box;
 	box-sizing: border-box;
}

form {
	width: 330px;
	margin: 50px auto 0 auto;
}

.form-element {
	overflow: hidden;
	margin: 0 0 20px 0;
	font-size: 13px;
}

.form-element label {
	width: 130px;
	float: left;
	vertical-align: middle;
	display: inline-block;
}

.form-element input {
	width: 200px;
	vertical-align: middle;
	border: 1px solid #cccccc;
	padding: 4px;
	font-family: inherit;
	font-size: inherit;
	float: left;
	-moz-box-sizing: border-box;
 	box-sizing: border-box;
}

#login-button {
	width: 100px;
	margin: 20px 0 0 130px;
	display: block;
	padding: 4px;
	text-align: center;
	font-size: 13px;
	font-family: inherit;
	background: none;
	background-color: #f87c45;
	color: white;
	border: 1px solid #f87c45;
	cursor: pointer;
}

#forget-password {
	text-align: right;
	cursor: pointer;
	width: 100%;
	font-weight: bold;
}

</style>
</head>

<body>

<form method="post">
<?php
	if($loginError) { ?>
		<div id="error"><?php echo $language["credentials_error"]; ?></div>
<?php }
?>
	<div class="form-element">
		<label><?php echo $language["login_email_label"]; ?></label>
		<input type="text" id="admin-email" name = "admin-email"/>
	</div>
	<div class="form-element">
		<label><?php echo $language["login_password_label"]; ?></label>
		<input type="password" id="admin-password" name = "admin-password" />
	</div>
	<input type="submit" value="<?php echo $language['login_button']; ?>" name = "login" id="login-button" />

</form>

<script type="text/javascript">
	$("#forget-password").on('click', function () {

	});
</script>

</body>
</html>