<?php
require_once "common.php";

$token_format = '';
if(isset($_POST['token_format']) AND !is_null($_POST['token_format']) AND $_POST['token_format'] != '') $token_format = $_POST['token_format'];
	$project_id = uniqid();
	mkdir('./sites/'.$project_id);
	dircopy('./form','./sites/'.$project_id.'/form',1);

	/** Upload file **/
	$upload_dir = './sites/'.$project_id.'/';
	if(!isset($_FILES['userfile']['tmp_name']) OR $_FILES['userfile']['tmp_name'] == '') {
    echo '<div class="alert alert-danger">
            <strong>'.$language['error_select_file'].'</strong> <br/><a href="index.php" class="alert-link">'.$language['error_try_again'].'</a>
          </div>';		
		die();
	}
	$upload_file = $upload_dir.basename($_FILES['userfile']['name']);
	move_uploaded_file($_FILES['userfile']['tmp_name'],$upload_file);
	$zip_file = basename($_FILES['userfile']['name']);
	unzip($upload_file,$upload_dir.'token_pages/');
	unlink($upload_file);
	dircopy($upload_dir.'token_pages','./sites/'.$project_id.'/form/website');
	$pages_dir = $upload_dir.'token_pages/';
	$token_pattern = '/([\#\%\$\[\$]{2,})\w+[\#\%\$\]\$]{2,}/';
	$array = array();
	foreach (glob($pages_dir.'*') as $htmlfile) {
		if(is_dir($htmlfile))
			foreach(glob($htmlfile.'/*') as $val) {
				if(preg_match('/\.(?:php|phtml|phps|htm|html|txt|shtml)$/', $val)){
					$current = file_get_contents($val);
					preg_match_all($token_pattern, $current, $match);
					$arr = array_unique($match[0]);
					$array = array_merge($array, $arr);
				}			
			}
		else {
			if(preg_match('/\.(?:php|phtml|phps|htm|html|txt|shtml)$/', $htmlfile)) {
				$current = file_get_contents($htmlfile);
				preg_match_all($token_pattern, $current, $match);
				$arr = array_unique($match[0]);
				$array = array_merge($array, $arr);
			}
		}	
	}
	$array = array_values(array_unique($array));

	$form = "<p class='lead'>". $language['do_title_title'] ."<a href='index.php'> ". $language['do_title_title_click'] ."</a> ". $language['do_title_title_return'] ."</p>";
	$form .= "<div class='row'>
				<div class='col-sm-8 col-sm-offset-2 text-center'>
    				<div class='well'>
    					<form action='create_form.php' method='POST'>
    					<table class='table table-bordered'>
							<thead><tr><th>". $language['tokens_header'] ."</th><th>". $language['discard_header'] ."</th><th>". $language['title_header'] ."</th><th>". $language['type_header'] ."</th></tr></thead>
							<tbody>";

	foreach ($array as $key => $value) {
		$form .= '				<tr>
									<td><font color = "red">'. $value .'</td>
									<td><input name="state[' . $value . ']" value="' . $key . '" type="checkbox" class="form-control checkbox"></td>
									<td><input name="token_format[' . $value . ']" type="text" class="form-control input-md" placeholder=""></td>
									<td><select name="input_format[' . $value . ']" class="form-control"><option value="text">'. $language['option_text'] .'</option><option value="textarea">'. $language['option_textarea'] .'</option></select></td>
	  						    </tr>';
	}

	$form .= '				</tbody>
						</table>

						<div class="form-group text-left">
							<label for="form-header" class="control-label">'.$language['form_header'].'</label>
					        <textarea class="form-control" rows="3" id="form-header" name="form-header"></textarea>
					        <span class="help-block text-left">'.$language['form_header_tip'].'</span>

							<label for="form-footer" class="control-label">'.$language['form_footer'].'</label>
					        <textarea class="form-control" rows="3" id="form-footer" name="form-footer"></textarea>
					        <span class="help-block text-left">'.$language['form_footer_tip'].'</span>
						</div>
						<div class="form-group">
							<input type="hidden" name="project_id" value='.$project_id.'>
							<input type="checkbox" name="form_as_index" value="index">'.$language['form_as_index_label'].'
						</div>						
						<div class="form-group">
							<input class="btn btn-primary" type="submit" value="'. $language['btn_submit_label'] .'">
						</div>
						';


unset($_POST);
echo $form;
require_once "footer.php";


function dircopy($srcdir, $dstdir, $verbose = false) {
  $num = 0;
  if(!is_dir($dstdir)) mkdir($dstdir, 0755, true);
  if($curdir = opendir($srcdir)) {
    while($file = readdir($curdir)) {
      if($file != '.' && $file != '..') {
        $srcfile = $srcdir.'/'.$file;
       $dstfile = $dstdir . '/' . $file;
       if(is_file($srcfile)) {
         if(is_file($dstfile)) $ow = filemtime($srcfile) - filemtime($dstfile); else $ow = 1;
         if($ow > 0) {
           if($verbose);
           if(copy($srcfile, $dstfile)) {
             touch($dstfile, filemtime($srcfile)); $num++;
             if($verbose);
           }
           else echo $language['error_could_not_be_copied'].$srcfile;
         }                  
       }
       else if(is_dir($srcfile)) {
         $num += dircopy($srcfile, $dstfile, $verbose);
       }
     }
   }
   closedir($curdir);
 }
 return $num;
}
function unzip($file,$destination){
	$zip = new ZipArchive;
	$res = $zip->open($file);
	if ($res === TRUE) {
  		$zip->extractTo($destination);
  		$zip->close();
	} else {
  		echo $language['error_failed_to_unzip'].' <a href="./index.php">'.$language['error_try_again'].'</a>';
	}
}

?>


